Manifest-Version: 1.0
Bnd-LastModified: 1712144587822
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Layout Implementation
Bundle-SymbolicName: com.liferay.layout.impl
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 6.0.50.hotfix-5225-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.asset.kernel;version="2.0",com.liferay.asset.kernel.model;version=
 "8.0",com.liferay.asset.kernel.service;version="7.1",com.liferay.clie
 nt.extension.model;version="3.1",com.liferay.client.extension.service
 ;version="2.2",com.liferay.counter.kernel.service;version="2.1",com.l
 iferay.document.library.kernel.model;version="6.0",com.liferay.docume
 nt.library.kernel.service;version="6.2",com.liferay.exportimport.cont
 ent.processor;version="1.0",com.liferay.exportimport.data.handler.bas
 e;version="1.0",com.liferay.exportimport.kernel.lar;version="4.2",com
 .liferay.exportimport.kernel.staging;version="2.2",com.liferay.export
 import.kernel.xstream;version="2.0",com.liferay.exportimport.lar;vers
 ion="1.0",com.liferay.exportimport.staged.model.repository;version="1
 .1",com.liferay.fragment.model;version="3.1",com.liferay.fragment.pro
 cessor;version="5.1",com.liferay.fragment.renderer;version="3.1",com.
 liferay.fragment.service;version="6.0",com.liferay.friendly.url.model
 ;version="3.0",com.liferay.friendly.url.service;version="1.6",com.lif
 eray.info.pagination;version="1.1",com.liferay.layout.admin.kernel.ut
 il;version="2.0",com.liferay.layout.admin.kernel.visibility;version="
 2.0",com.liferay.layout.crawler;version="1.0",com.liferay.layout.exce
 ption;version="1.0",com.liferay.layout.friendly.url;version="1.0",com
 .liferay.layout.helper;version="3.0",com.liferay.layout.list.retrieve
 r;version="1.7",com.liferay.layout.model;version="2.0",com.liferay.la
 yout.page.template.model;version="6.2",com.liferay.layout.page.templa
 te.serializer;version="1.0",com.liferay.layout.page.template.service;
 version="5.0",com.liferay.layout.security.permission.resource;version
 ="1.0",com.liferay.layout.seo.model;version="3.0",com.liferay.layout.
 seo.service;version="1.8",com.liferay.layout.service;version="1.4",co
 m.liferay.layout.set.model.adapter;version="2.0",com.liferay.layout.u
 til;version="4.0",com.liferay.layout.util.structure;version="6.4",com
 .liferay.layout.util.template;version="3.0",com.liferay.osgi.service.
 tracker.collections.map;version="2.2",com.liferay.petra.function;vers
 ion="1.5",com.liferay.petra.reflect;version="1.5",com.liferay.petra.s
 tring;version="1.6",com.liferay.portal.configuration.metatype.annotat
 ions;version="1.4",com.liferay.portal.configuration.metatype.bnd.util
 ;version="2.0",com.liferay.portal.kernel.comment;version="4.0",com.li
 feray.portal.kernel.dao.orm;version="11.0",com.liferay.portal.kernel.
 exception;version="12.0",com.liferay.portal.kernel.json;version="10.1
 ",com.liferay.portal.kernel.language;version="10.0",com.liferay.porta
 l.kernel.log;version="7.1",com.liferay.portal.kernel.model;version="1
 6.0",com.liferay.portal.kernel.model.adapter;version="4.0",com.lifera
 y.portal.kernel.model.adapter.builder;version="1.0",com.liferay.porta
 l.kernel.model.impl;version="6.0",com.liferay.portal.kernel.module.co
 nfiguration;version="2.0",com.liferay.portal.kernel.portlet;version="
 19.0",com.liferay.portal.kernel.repository.model;version="11.0",com.l
 iferay.portal.kernel.search;version="13.0",com.liferay.portal.kernel.
 search.filter;version="1.0",com.liferay.portal.kernel.search.highligh
 t;version="1.0",com.liferay.portal.kernel.security.permission;version
 ="6.1",com.liferay.portal.kernel.security.permission.resource;version
 ="2.0",com.liferay.portal.kernel.service;version="13.1",com.liferay.p
 ortal.kernel.service.permission;version="5.0",com.liferay.portal.kern
 el.servlet;version="11.1",com.liferay.portal.kernel.settings.definiti
 on;version="1.0",com.liferay.portal.kernel.theme;version="9.0",com.li
 feray.portal.kernel.transaction;version="8.1",com.liferay.portal.kern
 el.util;version="38.0",com.liferay.portal.kernel.workflow;version="15
 .0",com.liferay.portal.kernel.xml;version="7.0",com.liferay.portal.mo
 del.impl,com.liferay.portal.search.batch;version="1.0",com.liferay.po
 rtal.search.query;version="1.7",com.liferay.portal.search.spi.model.i
 ndex.contributor;version="1.1",com.liferay.portal.search.spi.model.in
 dex.contributor.helper;version="1.0",com.liferay.portal.search.spi.mo
 del.query.contributor;version="1.1",com.liferay.portal.search.spi.mod
 el.query.contributor.helper;version="1.1",com.liferay.portal.search.s
 pi.model.registrar;version="1.4",com.liferay.portal.search.spi.model.
 registrar.contributor;version="1.0",com.liferay.portal.search.spi.mod
 el.result.contributor;version="1.1",com.liferay.portal.service.impl,c
 om.liferay.portal.util;version="32.0",com.liferay.portal.workflow.def
 inition.link.update.handler;version="1.0",com.liferay.portlet.exporti
 mport.staging,com.liferay.portlet.layoutsadmin.util,com.liferay.relea
 se.feature.flag;version="1.1",com.liferay.segments.model;version="2.0
 ",com.liferay.segments.service;version="3.1",com.liferay.sites.kernel
 .util;version="1.3",com.liferay.staging;version="1.1",com.liferay.sta
 ging.model.listener;version="1.0",com.liferay.xstream.configurator;ve
 rsion="1.2",javax.portlet,javax.servlet.http,org.apache.felix.service
 .command;version="1.0",org.jsoup;version="1.10",org.jsoup.nodes;versi
 on="1.10",org.jsoup.select;version="1.10",org.osgi.framework;version=
 "1.8"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Layout
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Productivity
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: web-experience
Liferay-Releng-Suite-Description: Apps and Features: Widget Templates,
  Asset Publisher, Breadcrumb, Categories, Google Analytics, IFrame, L
 anguage, Navigation, Recycle Bin, Related Content, RSS, Search, Site 
 and Page Templates, Sitemap, Sites Directory, Tags, Web Content, XSL 
 Content<br /><br />The Web Experience suite provides features that he
 lp create, manage, and track content. The Web Content app lets you ex
 press your ideas and plans by creating dynamic content that can be st
 ructured to fit a specific design. You can also use templates to desi
 gn web content for an appealing look and feel. Templates can be used 
 in other realms of Liferay besides web content too. Site and Page Tem
 plates let you reproduce sites and pages that have been organized to 
 address specific needs. Application Display Templates are another typ
 e of Liferay template that lets you develop the look and feel of appl
 ications. The IFrame and XSL Content apps let you create other forms 
 of content by embedding HTML and XSL content on a site page.<br /><br
  />As administrators create content, organization is critical to keep
 ing things tidy in your site. The suite's Tags and Categories apps le
 ts you organize your web content to follow an organizational hierarch
 y. These organizational apps also aid with Liferay's Search app, whic
 h you can utilize to dynamically search content you've created. The s
 uite's Navigation, Breadcrumb, Sitemap, and Sites Directory apps aid 
 in Liferay's organizational structure, providing a top level view of 
 sites and their pages that have been created. To promote content in a
 n organized way, the Asset Publisher and Related Assets apps broadcas
 t assets and their related information. Inevitably, some content you 
 create becomes stale and requires removal; the Recycle Bin app lets y
 ou delete content, with the option to restore that content.<br /><br 
 />As a site accumulates content, administrators should have a way to 
 easily track their content. The Google Analytics app allows the use o
 f Google's tool set for analyzing site traffic data. The suite's RSS 
 app provides a web feed used to publish updated works such as blog en
 tries and news articles. The suite's Language app provides a way to c
 hange Liferay's language to cater to your site's international audien
 ce. This suite's content creation and organization focus lets site ad
 ministrators develop dynamic content, organize content for easy manag
 ing, and track content for ideas to better improve the content creati
 on process in the future.<br /><br />This suite may contain modules t
 hat depend on Foundation suite modules. This suite is available in th
 e Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Web Experience
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.layout.internal.configuration,com.liferay
 .layout.internal.crawler,com.liferay.layout.internal.exportimport.dat
 a.handler,com.liferay.layout.internal.exportimport.staged.model.repos
 itory,com.liferay.layout.internal.helper,com.liferay.layout.internal.
 layout.admin.util,com.liferay.layout.internal.list.retriever,com.life
 ray.layout.internal.model.adapter,com.liferay.layout.internal.model.a
 dapter.builder,com.liferay.layout.internal.model.listener,com.liferay
 .layout.internal.osgi.commands,com.liferay.layout.internal.search,com
 .liferay.layout.internal.search.spi.model.index.contributor,com.lifer
 ay.layout.internal.search.spi.model.query.contributor,com.liferay.lay
 out.internal.search.spi.model.result.contributor,com.liferay.layout.i
 nternal.search.util,com.liferay.layout.internal.security.permission,c
 om.liferay.layout.internal.security.permission.resource,com.liferay.l
 ayout.internal.settings.definition,com.liferay.layout.internal.templa
 te.util,com.liferay.layout.internal.util,com.liferay.layout.internal.
 visibility,com.liferay.layout.internal.workflow,com.liferay.layout.in
 ternal.workflow.definition.link.update.handler,com.liferay.layout.int
 ernal.xstream.configurator
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .exportimport.kernel.lar.StagedModelDataHandler";uses:="com.liferay.e
 xportimport.kernel.lar",osgi.service;objectClass:List<String>="com.li
 feray.exportimport.kernel.lar.StagedModelDataHandler,com.liferay.layo
 ut.internal.exportimport.data.handler.LayoutClassedModelUsageStagedMo
 delDataHandler";uses:="com.liferay.exportimport.kernel.lar,com.lifera
 y.layout.internal.exportimport.data.handler",osgi.service;objectClass
 :List<String>="com.liferay.exportimport.staged.model.repository.Stage
 dModelRepository";uses:="com.liferay.exportimport.staged.model.reposi
 tory",osgi.service;objectClass:List<String>="com.liferay.exportimport
 .staged.model.repository.StagedModelRepository,com.liferay.layout.int
 ernal.exportimport.staged.model.repository.StagedLayoutSetStagedModel
 Repository";uses:="com.liferay.exportimport.staged.model.repository,c
 om.liferay.layout.internal.exportimport.staged.model.repository",osgi
 .service;objectClass:List<String>="com.liferay.layout.admin.kernel.ut
 il.Sitemap";uses:="com.liferay.layout.admin.kernel.util",osgi.service
 ;objectClass:List<String>="com.liferay.layout.admin.kernel.util.Sitem
 apURLProvider";uses:="com.liferay.layout.admin.kernel.util",osgi.serv
 ice;objectClass:List<String>="com.liferay.layout.admin.kernel.visibil
 ity.LayoutVisibilityManager";uses:="com.liferay.layout.admin.kernel.v
 isibility",osgi.service;objectClass:List<String>="com.liferay.layout.
 crawler.LayoutCrawler";uses:="com.liferay.layout.crawler",osgi.servic
 e;objectClass:List<String>="com.liferay.layout.helper.CollectionPagin
 ationHelper";uses:="com.liferay.layout.helper",osgi.service;objectCla
 ss:List<String>="com.liferay.layout.internal.osgi.commands.LayoutOSGi
 Commands";uses:="com.liferay.layout.internal.osgi.commands",osgi.serv
 ice;objectClass:List<String>="com.liferay.layout.list.retriever.Layou
 tListRetrieverTracker";uses:="com.liferay.layout.list.retriever",osgi
 .service;objectClass:List<String>="com.liferay.layout.list.retriever.
 ListObjectReferenceFactoryTracker";uses:="com.liferay.layout.list.ret
 riever",osgi.service;objectClass:List<String>="com.liferay.layout.sec
 urity.permission.resource.LayoutContentModelResourcePermission";uses:
 ="com.liferay.layout.security.permission.resource",osgi.service;objec
 tClass:List<String>="com.liferay.layout.util.BulkLayoutConverter";use
 s:="com.liferay.layout.util",osgi.service;objectClass:List<String>="c
 om.liferay.layout.util.LayoutCopyHelper";uses:="com.liferay.layout.ut
 il",osgi.service;objectClass:List<String>="com.liferay.layout.util.te
 mplate.LayoutConverter";uses:="com.liferay.layout.util.template",osgi
 .service;objectClass:List<String>="com.liferay.layout.util.template.L
 ayoutConverterRegistry";uses:="com.liferay.layout.util.template",osgi
 .service;objectClass:List<String>="com.liferay.portal.kernel.model.Mo
 delListener";uses:="com.liferay.portal.kernel.model",osgi.service;obj
 ectClass:List<String>="com.liferay.portal.kernel.model.adapter.builde
 r.ModelAdapterBuilder";uses:="com.liferay.portal.kernel.model.adapter
 .builder",osgi.service;objectClass:List<String>="com.liferay.portal.k
 ernel.search.BaseSearcher";uses:="com.liferay.portal.kernel.search",o
 sgi.service;objectClass:List<String>="com.liferay.portal.kernel.secur
 ity.permission.PermissionUpdateHandler";uses:="com.liferay.portal.ker
 nel.security.permission",osgi.service;objectClass:List<String>="com.l
 iferay.portal.kernel.security.permission.resource.ModelResourcePermis
 sion";uses:="com.liferay.portal.kernel.security.permission.resource",
 osgi.service;objectClass:List<String>="com.liferay.portal.kernel.sett
 ings.definition.ConfigurationBeanDeclaration";uses:="com.liferay.port
 al.kernel.settings.definition",osgi.service;objectClass:List<String>=
 "com.liferay.portal.kernel.workflow.WorkflowHandler";uses:="com.lifer
 ay.portal.kernel.workflow",osgi.service;objectClass:List<String>="com
 .liferay.portal.search.spi.model.index.contributor.ModelDocumentContr
 ibutor";uses:="com.liferay.portal.search.spi.model.index.contributor"
 ,osgi.service;objectClass:List<String>="com.liferay.portal.search.spi
 .model.index.contributor.ModelIndexerWriterContributor";uses:="com.li
 feray.portal.search.spi.model.index.contributor",osgi.service;objectC
 lass:List<String>="com.liferay.portal.search.spi.model.query.contribu
 tor.KeywordQueryContributor";uses:="com.liferay.portal.search.spi.mod
 el.query.contributor",osgi.service;objectClass:List<String>="com.life
 ray.portal.search.spi.model.query.contributor.ModelPreFilterContribut
 or";uses:="com.liferay.portal.search.spi.model.query.contributor",osg
 i.service;objectClass:List<String>="com.liferay.portal.search.spi.mod
 el.result.contributor.ModelSummaryContributor";uses:="com.liferay.por
 tal.search.spi.model.result.contributor",osgi.service;objectClass:Lis
 t<String>="com.liferay.portal.workflow.definition.link.update.handler
 .WorkflowDefinitionLinkUpdateHandler";uses:="com.liferay.portal.workf
 low.definition.link.update.handler",osgi.service;objectClass:List<Str
 ing>="com.liferay.portlet.layoutsadmin.util.LayoutsTree";uses:="com.l
 iferay.portlet.layoutsadmin.util",osgi.service;objectClass:List<Strin
 g>="com.liferay.xstream.configurator.XStreamConfigurator";uses:="com.
 liferay.xstream.configurator"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ass
 et.kernel.service.AssetCategoryLocalService)";effective:=active,osgi.
 service;filter:="(objectClass=com.liferay.asset.kernel.service.AssetT
 agLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.client.extension.service.ClientExtensionEntryRelLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.counter.kernel.service.CounterLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.document.library.kernel.s
 ervice.DLAppService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.exportimport.content.processor.ExportImportContentP
 rocessor)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.exportimport.kernel.lar.ExportImportHelper)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.exportimport.kernel.l
 ar.ExportImportProcessCallbackRegistry)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.exportimport.kernel.staging.Stag
 ing)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.exportimport.lar.ThemeExporter)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.exportimport.lar.ThemeImporter)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.exportimp
 ort.staged.model.repository.StagedModelRepository)";effective:=active
 ,osgi.service;filter:="(objectClass=com.liferay.fragment.processor.Po
 rtletRegistry)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.fragment.renderer.FragmentRendererController)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.fragment.servi
 ce.FragmentEntryLinkLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.friendly.url.service.FriendlyURLEntryL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.layout.admin.kernel.util.Sitemap)";effective:=active,osgi.s
 ervice;filter:="(objectClass=com.liferay.layout.crawler.LayoutCrawler
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.l
 ayout.friendly.url.LayoutFriendlyURLEntryHelper)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.layout.internal.exporti
 mport.staged.model.repository.StagedLayoutSetStagedModelRepository)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.layo
 ut.list.retriever.LayoutListRetriever)";effective:=active;resolution:
 =optional;cardinality:=multiple,osgi.service;filter:="(objectClass=co
 m.liferay.layout.list.retriever.ListObjectReferenceFactory)";effectiv
 e:=active;resolution:=optional;cardinality:=multiple,osgi.service;fil
 ter:="(objectClass=com.liferay.layout.page.template.serializer.Layout
 StructureItemJSONSerializer)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.layout.page.template.service.LayoutPageTemp
 lateStructureLocalService)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.layout.security.permission.resource.LayoutCon
 tentModelResourcePermission)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.layout.seo.service.LayoutSEOEntryLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .layout.service.LayoutClassedModelUsageLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.layout.util.LayoutC
 opyHelper)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.layout.util.template.LayoutConverter)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.layout.util.template.Layou
 tConverterRegistry)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.comment.CommentManager)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.lan
 guage.Language)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.module.configuration.ConfigurationProvider
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.portlet.PortletPreferencesFactory)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.Cl
 assNameLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.portal.kernel.service.CompanyLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.GroupLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.ImageLocalService)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.LayoutLocalService)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.portal.kernel.service.LayoutRevisi
 onLocalService)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.service.LayoutService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 LayoutSetBranchLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.service.LayoutSetLocalService
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.kernel.service.LayoutSetPrototypeLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servi
 ce.PortletLocalService)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.service.PortletPreferenceValueLoca
 lService)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.PortletPreferencesLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.service.ResourcePermissionLocalService)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.portal.kernel.service.RoleLoc
 alService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.portal.kernel.service.UserLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.Wo
 rkflowInstanceLinkLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.service.permission.GroupPe
 rmission)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.service.permission.LayoutPermission)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 servlet.BrowserSniffer)";effective:=active,osgi.service;filter:="(obj
 ectClass=com.liferay.portal.kernel.util.ColorSchemeFactory)";effectiv
 e:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kerne
 l.util.Html)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.util.HtmlParser)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.util.Http)";effec
 tive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ke
 rnel.util.Portal)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.util.ThemeFactory)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.xml.SAXRea
 der)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.search.batch.DynamicQueryBatchIndexingActionableFactory)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .search.query.QueryHelper)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.search.spi.model.index.contributor.Mod
 elIndexerWriterContributor)";effective:=active,osgi.service;filter:="
 (objectClass=com.liferay.portal.search.spi.model.registrar.ModelSearc
 hRegistrarHelper)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.search.spi.model.result.contributor.ModelSummar
 yContributor)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.service.impl.LayoutLocalServiceHelper)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.segments.servic
 e.SegmentsExperienceLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.sites.kernel.util.Sites)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.staging.StagingG
 roupHelper)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.staging.model.listener.StagingModelListener)";effective:=act
 ive,osgi.extender;filter:="(&(osgi.extender=osgi.component)(version>=
 1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaPortlet;f
 ilter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",osgi.contract;
 osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaServlet)(vers
 ion=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.layout.internal.crawler.Layout
 CrawlerImpl.xml,OSGI-INF/com.liferay.layout.internal.exportimport.dat
 a.handler.LayoutClassedModelUsageStagedModelDataHandler.xml,OSGI-INF/
 com.liferay.layout.internal.exportimport.data.handler.StagedLayoutSet
 StagedModelDataHandler.xml,OSGI-INF/com.liferay.layout.internal.expor
 timport.staged.model.repository.LayoutClassedModelUsageStagedModelRep
 ository.xml,OSGI-INF/com.liferay.layout.internal.exportimport.staged.
 model.repository.StagedLayoutSetStagedModelRepository.xml,OSGI-INF/co
 m.liferay.layout.internal.helper.CollectionPaginationHelperImpl.xml,O
 SGI-INF/com.liferay.layout.internal.layout.admin.util.LayoutSitemapUR
 LProvider.xml,OSGI-INF/com.liferay.layout.internal.list.retriever.Lay
 outListRetrieverTrackerImpl.xml,OSGI-INF/com.liferay.layout.internal.
 list.retriever.ListObjectReferenceTrackerImpl.xml,OSGI-INF/com.lifera
 y.layout.internal.model.adapter.builder.LayoutSetModelAdapterBuilder.
 xml,OSGI-INF/com.liferay.layout.internal.model.adapter.builder.Staged
 LayoutSetModelAdapterBuilder.xml,OSGI-INF/com.liferay.layout.internal
 .model.listener.LayoutFriendlyURLModelListener.xml,OSGI-INF/com.lifer
 ay.layout.internal.model.listener.LayoutModelListener.xml,OSGI-INF/co
 m.liferay.layout.internal.model.listener.LayoutSetStagingModelListene
 r.xml,OSGI-INF/com.liferay.layout.internal.osgi.commands.LayoutOSGiCo
 mmands.xml,OSGI-INF/com.liferay.layout.internal.search.LayoutSearchRe
 gistrar.xml,OSGI-INF/com.liferay.layout.internal.search.LayoutSearche
 r.xml,OSGI-INF/com.liferay.layout.internal.search.spi.model.index.con
 tributor.LayoutModelDocumentContributor.xml,OSGI-INF/com.liferay.layo
 ut.internal.search.spi.model.index.contributor.LayoutModelIndexerWrit
 erContributor.xml,OSGI-INF/com.liferay.layout.internal.search.spi.mod
 el.query.contributor.LayoutKeywordQueryContributor.xml,OSGI-INF/com.l
 iferay.layout.internal.search.spi.model.query.contributor.LayoutModel
 PreFilterContributor.xml,OSGI-INF/com.liferay.layout.internal.search.
 spi.model.result.contributor.LayoutModelSummaryContributor.xml,OSGI-I
 NF/com.liferay.layout.internal.security.permission.LayoutPermissionUp
 dateHandler.xml,OSGI-INF/com.liferay.layout.internal.security.permiss
 ion.resource.LayoutContentModelResourcePermissionImpl.xml,OSGI-INF/co
 m.liferay.layout.internal.security.permission.resource.LayoutModelRes
 ourcePermission.xml,OSGI-INF/com.liferay.layout.internal.settings.def
 inition.LayoutCrawlerClientConfigurationBeanDeclaration.xml,OSGI-INF/
 com.liferay.layout.internal.template.util.DefaultLayoutConverter.xml,
 OSGI-INF/com.liferay.layout.internal.template.util.LayoutConverterReg
 istryImpl.xml,OSGI-INF/com.liferay.layout.internal.util.BulkLayoutCon
 verterImpl.xml,OSGI-INF/com.liferay.layout.internal.util.LayoutCopyHe
 lperImpl.xml,OSGI-INF/com.liferay.layout.internal.util.LayoutsTreeImp
 l.xml,OSGI-INF/com.liferay.layout.internal.util.SitemapImpl.xml,OSGI-
 INF/com.liferay.layout.internal.visibility.LayoutVisibilityManagerImp
 l.xml,OSGI-INF/com.liferay.layout.internal.workflow.LayoutWorkflowHan
 dler.xml,OSGI-INF/com.liferay.layout.internal.workflow.definition.lin
 k.update.handler.LayoutRevisionWorkflowDefinitionLinkUpdateHandler.xm
 l,OSGI-INF/com.liferay.layout.internal.xstream.configurator.LayoutXSt
 reamConfigurator.xml
Tool: Bnd-4.3.0.201909301554

